﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="https://code.jquery.com/jquery-3.1.0.js"></script>
    <style>
        html .RadMenu .rmGroup .rmText {
            padding: 0 20px 0 10px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <div>
            <telerik:RadMenu runat="server" ID="RadMenu1" Flow="Horizontal" Skin="MetroTouch" OnClientItemOpening="OnClientItemOpening" ClickToOpen="true">
                <Items>
                    <telerik:RadMenuItem runat="server" Text="Parent Element">
                        <Items>
                            <telerik:RadMenuItem runat="server" Text="Account info">
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" Text="Administration">
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" Text="Order history">
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" Text="Invoice history">
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" Text="Quote history">
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" Text="Cart">
                            </telerik:RadMenuItem>
                        </Items>
                    </telerik:RadMenuItem>
                </Items>
            </telerik:RadMenu>
        </div>
        <script>
            var radMenuWidth,
                paddingValue,
                borderValue;

            function pageLoad() {
                var $radMenu = $('#RadMenu1'),
                    $parentUl = $('ul.rmRootGroup.rmHorizontal'),
                    $parentAnchorTag = $('ul.rmRootGroup.rmHorizontal li a:first');

                //calculating padding and border pixels that causes visual mismatch
                radMenuWidth = $radMenu.width();
                paddingValue = $parentUl.innerWidth() - $parentUl.width();
                borderValue = $parentAnchorTag.outerWidth() - $parentAnchorTag.innerWidth();
            }

            function OnClientItemOpening(sender, args) {
                var $rmSideDiv = $(args.get_item().get_childListElement()),
                    $rmText = $('.rmText');

                $rmSideDiv.width(radMenuWidth - paddingValue - borderValue);
                $rmText.css({ 'overflow': 'hidden', 'text-overflow': 'ellipsis' });
            }
        </script>
    </form>
</body>
</html>
